package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(charge_type):
 */
public class ChargeType {

	/**  */
	@ApiModelProperty(value = "收费类型编号",required = false)
	private Integer id;
	
	/** 名称 */
	@ApiModelProperty(value = "收费类型名称",required = false)
	private String name;
	
	/**  */
	@ApiModelProperty(value = "是否删除",required = false)
	private YesOrNoEnum delFlag;
	
	/** 描述 */
	@ApiModelProperty(value = "收费类型描述",required = false)
	private String description;

	/** 描述 */
	@ApiModelProperty(value = "默认课程形态",required = false)
	private String courseForm;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private List<Subject> subjects;

	@ApiModelProperty(value = "声部编号列表",required = false)
	private List<Integer> subjectIds;

	public List<Integer> getSubjectIds() {
		return subjectIds;
	}

	public void setSubjectIds(List<Integer> subjectIds) {
		this.subjectIds = subjectIds;
	}

	public List<Subject> getSubjects() {
		return subjects;
	}

	public void setSubjects(List<Subject> subjects) {
		this.subjects = subjects;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public String getCourseForm() {
		return courseForm;
	}

	public void setCourseForm(String courseForm) {
		this.courseForm = courseForm;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
